Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.aspect
Class DefaultAspectContainerStrategy

    java.lang.Object
      org.codehaus.aspectwerkz.aspect.AbstractAspectContainer
          org.codehaus.aspectwerkz.aspect.DefaultAspectContainerStrategy

All Implemented Interfaces:
  AspectContainer

    public class DefaultAspectContainerStrategy

extends AbstractAspectContainer

Implements the default aspect container strategy.

Author:
  Jonas Bonr

Field Summary
`protected Constructor` | `m_aspectConstructor` The constructor for the aspect.

Fields inherited from class org.codehaus.aspectwerkz.aspect.AbstractAspectContainer
`ARRAY_WITH_SINGLE_ASPECT_CONTEXT, ASPECT_CONSTRUCTION_TYPE_ASPECT_CONTEXT, ASPECT_CONSTRUCTION_TYPE_DEFAULT, ASPECT_CONSTRUCTION_TYPE_UNKNOWN, EMPTY_OBJECT_ARRAY, m_adviceInfos, m_aspectContext, m_constructionType, m_perClass, m_perInstance, m_perJvm, m_perThread`

Constructor Summary
`DefaultAspectContainerStrategy(AspectContext aspectContext)` Creates a new aspect container strategy.

Method Summary
`protected Object` | `createAspect()` Creates a new aspect instance.
`protected Constructor` | `findConstructor()` Grabs the correct constructor for the aspect.

Methods inherited from class org.codehaus.aspectwerkz.aspect.AbstractAspectContainer
`aspectOf, aspectOf, aspectOf, aspectOf, getContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_aspectConstructor

    protected Constructor m_aspectConstructor

  The constructor for the aspect.

Constructor Detail

### DefaultAspectContainerStrategy

    public DefaultAspectContainerStrategy(AspectContext aspectContext)

  Creates a new aspect container strategy.

  Parameters:
    `aspectContext` - the cross-cutting info

Method Detail

### createAspect

    protected Object createAspect()

  Creates a new aspect instance.

  Specified by:
    `createAspect` in class `AbstractAspectContainer`
  Returns:
    the new aspect instance

### findConstructor

    protected Constructor findConstructor()

  Grabs the correct constructor for the aspect.

  Returns:
    the constructor for the aspect

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.